ERF(3)

NAME
packet.link.erf - ERF module

DESCRIPTION

Decode Extensible Record Format layer Reference: ERF Types Reference Guide, EDM11-01 - Version 21

CLASSES

  class ERF(baseobj.BaseObj)
Extensible record format object

Usage:
    from packet.link.erf import ERF

    x = ERF(pktt)

Object definition:

ERF(
    timestamp = int64,  # The time of arrival, an ERF 64-bit timestamp
    rtype     = int,    # ERF type
    flags     = int,    # ERF flags
    rlen      = int,    # Record length
    lctr      = int,    # Loss counter/color field
    wlen      = int,    # Wire length
    psize     = int,    # Payload data size
)

Methods defined here:
---------------------

__init__(self, pktt)
Constructor

Initialize object's private data.

    pktt:
        Packet trace object (packet.pktt.Pktt) so this layer has
        access to the parent layers.

__str__(self)
String representation of object

The representation depends on the verbose level set by debug_repr().
If set to 0 the generic object representation is returned.
If set to 1 the representation of the object is condensed:
    'rtype=21 rlen=312 wlen=290 '

If set to 2 the representation of the object also includes the type
of payload:
    'rtype: 21(InfiniBand), rlen: 312, wlen: 290 '

  class ERF_TS(builtins.int)
ERF Time Stamp

Methods defined here:
---------------------

__str__(self)
Return str(self).

SEE ALSO
baseobj(3), packet.transport.ib(3)

BUGS
No known bugs.

AUTHOR
Jorge Mora (mora@netapp.com)